Add a valuation
POST
/portfolio/assets/{asset}/asset-valuationRecords a new valuation for the asset at a specific date. For fund-level investor assignments, valuations are created per-investor. Assets require at least one valuation before transactions can be processed.
Path parameters
The asset ID
Request body
application/json, optional · PortfolioAssetValuationUpdateRequest
{
"date": "2026-06-12T10:00:00+00:00",
"value": 1,
"description": "string",
"investor_ids": [
"string"
]
}Responses
200
{}404
Not found
422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/asset-valuation\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"date": "2026-06-12T10:00:00+00:00",
"value": 1,
"description": "string",
"investor_ids": [
"string"
]
}'